Bug 226538 - multimedia/qmmp switch to USES=archive
Summary: multimedia/qmmp switch to USES=archive
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL: https://reviews.freebsd.org/D14655
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-11 21:37 UTC by Adriaan de Groot
Modified: 2018-03-15 17:00 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (liangtai.s16)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adriaan de Groot freebsd_committer 2018-03-11 21:37:46 UTC
The LIB_DEPENDS happened to pick up ports libarchive as long as CMake
depends on ports libarchive, but otherwise base libarchive is found
by the ports system while the CMake build system *doesn't* find it.
Comment 1 Adriaan de Groot freebsd_committer 2018-03-11 21:38:12 UTC
Patch is in the Phab review.
Comment 2 SimaMoto,RyōTa 2018-03-13 08:15:34 UTC
Thank you for nice patch to update the ports for qmmp.  Please
commit it on the ports' repository.

I'm happy and not worrying, though, this important change is about
to be applied on the official ports tree, I don't know what should
I do to accomplish this update, what statement flags are waiting
to be turned on/off of bugzilla page by me.
Comment 3 commit-hook freebsd_committer 2018-03-15 16:20:08 UTC
A commit references this bug:

Author: adridg
Date: Thu Mar 15 16:19:20 UTC 2018
New revision: 464599
URL: https://svnweb.freebsd.org/changeset/ports/464599

Log:
  Switch qmmp to USES=libarchive

  The LIB_DEPENDS line can also be satisfied by base libarchive, which
  then leads to problems at configure time because the CMake code looks for
  ports libarchive. This is hidden as long as CMake depends on the ports
  version of libarchive.

  PR:		226538
  Approved by:	tcberner (mentor), liangtai.s16@gmail.com (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D14655

Changes:
  head/multimedia/qmmp/Makefile
  head/multimedia/qmmp-qt5/Makefile
Comment 4 Adriaan de Groot freebsd_committer 2018-03-15 17:00:53 UTC
Dear  SimaMoto,RyōTa ,

Thank you for your confidence. The change has been committed and the Phabricator review has been closed. I will close this PR as well, and you do not need to do anything with it. Thank you for maintaining qmmp and qmmp-qt5.